Sublime Text 升级后报错‘kill_previous‘问题解决

前言

Sublime Text 发布了新版本的升级提醒,不以理会的我不小心点了升级,于是运行代码就出现了这一幕 init() got an unexpected keyword argument ‘kill_previous’。

无限的报错__init__() got an unexpected keyword argument ‘kill_previous’,一开始也没在意,觉得是升级了版本以后,需要重新配置下Python环境,然后开始尝试重新配置Python环境,卸载重新安装,还是不行,卸载重新安装配置......折腾了半天还是不行,我开始崩溃了...

搜索发现最近更新了Sublime Text 4 出现问题的不只我一个,心里得到安慰,最终在Sublime社区论坛解决,原来是Sublime大更新导致插件出了问题。

解决办法

  • 首选项→浏览插件目录

  • 删除默认的Default目录
  • 重启 Sublime Text

  • 尝试运行代码

  • 问题解决

原文地址

本文作者: 南风
文章标题:升级Sublime Text 4后报错问题解决
本文地址:https://www.nfxwblog.com/archives/33.html
版权说明:若无注明,本文皆南风的博客原创,转载请保留文章出处。

posted @ 2021-05-30 00:33  南风向晚  阅读(2353)  评论(0编辑  收藏  举报